DtPrintSetupProc(library call)

NAME
DtPrintSetupProc — Type definition for DtPrintSetupBox procedure resources.

SYNOPSIS

#include &<Print.h>
typedef XtEnum (*DtPrintSetupProc)(
Widget wid,
DtPrintSetupData *print_data);

DESCRIPTION

DtPrintSetupProc is the type definition used for DtPrintSetupBox procedure resources. Each procedure is passed the widget ID of the DtPrintSetupBox via wid, and a structure containing information needed to perform the particular operation via print_data.

If a procedure needs to update the DtPrintSetupBox, it should do so by setting resources as indicated by the procedure resource description. The only exception to this is when the DtNverifyPrinterProc is used to verify X printers. In this case, the procedure may update the print_display and print_context elements of the passed DtPrintSetupData structure.

ARGUMENTS

wid The widget ID of the DtPrintSetupBox.

print_data
    A pointer to an existing DtPrintSetupData structure that contains the print setup information relevant to the specific procedure.

RETURN VALUE

DtPRINT_SUCCESS
    The procedure completed successfully.

DtPRINT_FAILURE
    The procedure encountered an error.

DtPRINT_BAD_PARM
    An invalid parameter was passed to the procedure.

SEE ALSO

DtPrintSetupBox(3)